/*===========================================================================*/
/*   (Ieee/control.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/control.scm -indent -o objs/obj_u/Ieee/control.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_zc3anonymousza31179ze3z83zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_loopz00zz__r4_control_features_6_9z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__procedurezf3zf3zz__r4_control_features_6_9z00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_procedurezf3zf3zz__r4_control_features_6_9z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_forcez00zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl_recurz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_loopz72z72zz__r4_control_features_6_9z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl__callzf2cczf2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl__applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__forzd2eachzd22z00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_callzf2cczf2zz__r4_control_features_6_9z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_control_features_6_9z00();
static obj_t BGl_requirezd2initializa7ationz75zz__r4_control_features_6_9z00 = BUNSPEC;
static obj_t BGl__forzd2eachzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31169ze3z83zz__r4_control_features_6_9z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl__mapzd22zd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
static obj_t BGl__filterz121734z12zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd22z00zz__r4_control_features_6_9z00(obj_t, obj_t);
extern obj_t call_cc(obj_t);
static obj_t BGl_zc3anonymousza31174ze3z83zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl__dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl__mapz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl__filter1732z00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl__forcez00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_zc3exitza31206ze3z83zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl__makezd2promisezd2zz__r4_control_features_6_9z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mapzd22zd2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_forzd2eachzd2envz00zz__r4_control_features_6_9z00, BgL_bgl__forza7d2eachza7d2za7za7__r4_control_features_6_9za7001781za7, va_generic_entry, BGl__forzd2eachzd2zz__r4_control_features_6_9z00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_forzd2eachzd22zd2envzd2zz__r4_control_features_6_9z00, BgL_bgl__forza7d2eachza7d22za700za7za7__r4_control_features_6_9za7001782z00, BGl__forzd2eachzd22z00zz__r4_control_features_6_9z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_callzd2withzd2currentzd2continuationzd2envz00zz__r4_control_features_6_9z00, BgL_bgl__callza7d2withza7d2currentza7d2continuationza7d2za7za7__r4_control_features_6_9za7001783za7, BGl__callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_callzf2cczd2envz20zz__r4_control_features_6_9z00, BgL_bgl__callza7f2ccza7f2za7za7__r4_control_features_6_9za7001784za7, BGl__callzf2cczf2zz__r4_control_features_6_9z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_filterz12zd2envzc0zz__r4_control_features_6_9z00, BgL_bgl__filterza7121734za712za7za7__r4_control_features_6_9za7001785za7, BGl__filterz121734z12zz__r4_control_features_6_9z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_mapzd2envzd2zz__r4_control_features_6_9z00, BgL_bgl__mapza700za7za7__r4_control_features_6_9za7001786z00, va_generic_entry, BGl__mapz00zz__r4_control_features_6_9z00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_mapzd22zd2envz00zz__r4_control_features_6_9z00, BgL_bgl__mapza7d22za7d2za7za7__r4_control_features_6_9za7001787za7, BGl__mapzd22zd2zz__r4_control_features_6_9z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_procedurezf3zd2envz21zz__r4_control_features_6_9z00, BgL_bgl__procedureza7f3za7f3za7za7__r4_control_features_6_9za7001788za7, BGl__procedurezf3zf3zz__r4_control_features_6_9z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dynamiczd2windzd2envz00zz__r4_control_features_6_9z00, BgL_bgl__dynamicza7d2windza7d2za7za7__r4_control_features_6_9za7001789za7, BGl__dynamiczd2windzd2zz__r4_control_features_6_9z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2promisezd2envz00zz__r4_control_features_6_9z00, BgL_bgl__makeza7d2promiseza7d2za7za7__r4_control_features_6_9za7001790za7, BGl__makezd2promisezd2zz__r4_control_features_6_9z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_filterzd2envzd2zz__r4_control_features_6_9z00, BgL_bgl__filter1732za700za7za7__r4_control_features_6_9za7001791z00, BGl__filter1732z00zz__r4_control_features_6_9z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_applyzd2envzd2zz__r4_control_features_6_9z00, BgL_bgl__applyza700za7za7__r4_control_features_6_9za7001792z00, va_generic_entry, BGl__applyz00zz__r4_control_features_6_9z00, -3 );
DEFINE_EXPORT_PROCEDURE( BGl_forcezd2envzd2zz__r4_control_features_6_9z00, BgL_bgl__forceza700za7za7__r4_control_features_6_9za7001793z00, BGl__forcez00zz__r4_control_features_6_9z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long BgL_checksumz00_851, char * BgL_fromz00_852)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_control_features_6_9z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_control_features_6_9z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_control_features_6_9z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* procedure? */
BGL_EXPORTED_DEF bool_t BGl_procedurezf3zf3zz__r4_control_features_6_9z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 68 */
return 
PROCEDUREP(BgL_objz00_1);} 
}



/* _procedure? */
obj_t BGl__procedurezf3zf3zz__r4_control_features_6_9z00(obj_t BgL_envz00_792, obj_t BgL_objz00_793)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 68 */
{ /* ./Ieee/control.scm 69 */
bool_t BgL_auxz00_858;
BgL_auxz00_858 = 
PROCEDUREP(BgL_objz00_793); 
return 
BBOOL(BgL_auxz00_858);} } 
}



/* apply */
BGL_EXPORTED_DEF obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t BgL_procz00_2, obj_t BgL_argsz00_3, obj_t BgL_optz00_4)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 74 */
{ /* ./Ieee/control.scm 75 */
obj_t BgL_argsz00_497;
if(
PAIRP(BgL_optz00_4))
{ /* ./Ieee/control.scm 75 */
obj_t BgL_auxz00_863;
BgL_auxz00_863 = 
BGl_loopz72z72zz__r4_control_features_6_9z00(BgL_optz00_4); 
BgL_argsz00_497 = 
MAKE_PAIR(BgL_argsz00_3, BgL_auxz00_863); }  else 
{ /* ./Ieee/control.scm 75 */
BgL_argsz00_497 = BgL_argsz00_3; } 
return 
apply(BgL_procz00_2, BgL_argsz00_497);} } 
}



/* loop' */
obj_t BGl_loopz72z72zz__r4_control_features_6_9z00(obj_t BgL_optz00_501)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 76 */
{ /* ./Ieee/control.scm 75 */
bool_t BgL_testz00_868;
{ /* ./Ieee/control.scm 75 */
obj_t BgL_auxz00_869;
BgL_auxz00_869 = 
CDR(BgL_optz00_501); 
BgL_testz00_868 = 
PAIRP(BgL_auxz00_869); } 
if(BgL_testz00_868)
{ /* ./Ieee/control.scm 75 */
obj_t BgL_auxz00_874;obj_t BgL_auxz00_872;
BgL_auxz00_874 = 
BGl_loopz72z72zz__r4_control_features_6_9z00(
CDR(BgL_optz00_501)); 
BgL_auxz00_872 = 
CAR(BgL_optz00_501); 
return 
MAKE_PAIR(BgL_auxz00_872, BgL_auxz00_874);}  else 
{ /* ./Ieee/control.scm 75 */
return 
CAR(BgL_optz00_501);} } } 
}



/* _apply */
obj_t BGl__applyz00zz__r4_control_features_6_9z00(obj_t BgL_envz00_794, obj_t BgL_procz00_795, obj_t BgL_argsz00_796, obj_t BgL_optz00_797)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 74 */
return 
BGl_applyz00zz__r4_control_features_6_9z00(BgL_procz00_795, BgL_argsz00_796, BgL_optz00_797);} 
}



/* map-2 */
BGL_EXPORTED_DEF obj_t BGl_mapzd22zd2zz__r4_control_features_6_9z00(obj_t BgL_fz00_5, obj_t BgL_lz00_6)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 86 */
{ 
obj_t BgL_lz00_522;obj_t BgL_resz00_523;
BgL_lz00_522 = BgL_lz00_6; 
BgL_resz00_523 = BNIL; 
BgL_loopz00_521:
if(
NULLP(BgL_lz00_522))
{ /* ./Ieee/control.scm 87 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_523);}  else 
{ /* ./Ieee/control.scm 87 */
obj_t BgL_arg1032z00_530;obj_t BgL_arg1033z00_531;
BgL_arg1032z00_530 = 
CDR(BgL_lz00_522); 
{ /* ./Ieee/control.scm 87 */
obj_t BgL_arg1037z00_532;
{ /* ./Ieee/control.scm 87 */
obj_t BgL_arg1041z00_533;
BgL_arg1041z00_533 = 
CAR(BgL_lz00_522); 
BgL_arg1037z00_532 = 
PROCEDURE_ENTRY(BgL_fz00_5)(BgL_fz00_5, BgL_arg1041z00_533, BEOA); } 
BgL_arg1033z00_531 = 
MAKE_PAIR(BgL_arg1037z00_532, BgL_resz00_523); } 
{ 
obj_t BgL_resz00_889;obj_t BgL_lz00_888;
BgL_lz00_888 = BgL_arg1032z00_530; 
BgL_resz00_889 = BgL_arg1033z00_531; 
BgL_resz00_523 = BgL_resz00_889; 
BgL_lz00_522 = BgL_lz00_888; 
goto BgL_loopz00_521;} } } } 
}



/* _map-2 */
obj_t BGl__mapzd22zd2zz__r4_control_features_6_9z00(obj_t BgL_envz00_798, obj_t BgL_fz00_799, obj_t BgL_lz00_800)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 86 */
return 
BGl_mapzd22zd2zz__r4_control_features_6_9z00(BgL_fz00_799, BgL_lz00_800);} 
}



/* map */
BGL_EXPORTED_DEF obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t BgL_fz00_7, obj_t BgL_lz00_8)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 96 */
if(
NULLP(BgL_lz00_8))
{ /* ./Ieee/control.scm 98 */
return BNIL;}  else 
{ /* ./Ieee/control.scm 100 */
bool_t BgL_testz00_893;
{ /* ./Ieee/control.scm 100 */
obj_t BgL_auxz00_894;
BgL_auxz00_894 = 
CDR(BgL_lz00_8); 
BgL_testz00_893 = 
NULLP(BgL_auxz00_894); } 
if(BgL_testz00_893)
{ /* ./Ieee/control.scm 100 */
{ /* ./Ieee/control.scm 101 */
obj_t BgL_arg1048z00_291;
BgL_arg1048z00_291 = 
CAR(BgL_lz00_8); 
{ /* ./Ieee/control.scm 101 */
obj_t BgL_res1721z00_577;
{ 
obj_t BgL_lz00_562;obj_t BgL_resz00_563;
BgL_lz00_562 = BgL_arg1048z00_291; 
BgL_resz00_563 = BNIL; 
BgL_loopz00_561:
if(
NULLP(BgL_lz00_562))
{ /* ./Ieee/control.scm 101 */
BgL_res1721z00_577 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_563); }  else 
{ /* ./Ieee/control.scm 101 */
obj_t BgL_arg1032z00_570;obj_t BgL_arg1033z00_571;
BgL_arg1032z00_570 = 
CDR(BgL_lz00_562); 
{ /* ./Ieee/control.scm 101 */
obj_t BgL_arg1037z00_572;
{ /* ./Ieee/control.scm 101 */
obj_t BgL_arg1041z00_573;
BgL_arg1041z00_573 = 
CAR(BgL_lz00_562); 
BgL_arg1037z00_572 = 
PROCEDURE_ENTRY(BgL_fz00_7)(BgL_fz00_7, BgL_arg1041z00_573, BEOA); } 
BgL_arg1033z00_571 = 
MAKE_PAIR(BgL_arg1037z00_572, BgL_resz00_563); } 
{ 
obj_t BgL_resz00_907;obj_t BgL_lz00_906;
BgL_lz00_906 = BgL_arg1032z00_570; 
BgL_resz00_907 = BgL_arg1033z00_571; 
BgL_resz00_563 = BgL_resz00_907; 
BgL_lz00_562 = BgL_lz00_906; 
goto BgL_loopz00_561;} } } 
return BgL_res1721z00_577;} } }  else 
{ /* ./Ieee/control.scm 100 */
return 
BGl_loopz00zz__r4_control_features_6_9z00(BgL_fz00_7, BgL_lz00_8);} } } 
}



/* loop */
obj_t BGl_loopz00zz__r4_control_features_6_9z00(obj_t BgL_fz00_845, obj_t BgL_lz00_292)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 103 */
{ /* ./Ieee/control.scm 104 */
bool_t BgL_testz00_909;
{ /* ./Ieee/control.scm 104 */
obj_t BgL_auxz00_910;
BgL_auxz00_910 = 
CAR(BgL_lz00_292); 
BgL_testz00_909 = 
NULLP(BgL_auxz00_910); } 
if(BgL_testz00_909)
{ /* ./Ieee/control.scm 104 */
return BNIL;}  else 
{ /* ./Ieee/control.scm 106 */
obj_t BgL_arg1054z00_295;obj_t BgL_arg1055z00_296;
{ /* ./Ieee/control.scm 106 */
obj_t BgL_auxz00_913;
{ /* ./Ieee/control.scm 106 */
obj_t BgL_res1722z00_598;
{ 
obj_t BgL_lz00_582;obj_t BgL_resz00_583;
BgL_lz00_582 = BgL_lz00_292; 
BgL_resz00_583 = BNIL; 
BgL_loopz00_581:
if(
NULLP(BgL_lz00_582))
{ /* ./Ieee/control.scm 106 */
BgL_res1722z00_598 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_583); }  else 
{ /* ./Ieee/control.scm 106 */
obj_t BgL_arg1032z00_590;obj_t BgL_arg1033z00_591;
BgL_arg1032z00_590 = 
CDR(BgL_lz00_582); 
{ /* ./Ieee/control.scm 106 */
obj_t BgL_auxz00_918;
{ /* ./Ieee/control.scm 106 */
obj_t BgL_auxz00_919;
BgL_auxz00_919 = 
CAR(BgL_lz00_582); 
BgL_auxz00_918 = 
CAR(BgL_auxz00_919); } 
BgL_arg1033z00_591 = 
MAKE_PAIR(BgL_auxz00_918, BgL_resz00_583); } 
{ 
obj_t BgL_resz00_924;obj_t BgL_lz00_923;
BgL_lz00_923 = BgL_arg1032z00_590; 
BgL_resz00_924 = BgL_arg1033z00_591; 
BgL_resz00_583 = BgL_resz00_924; 
BgL_lz00_582 = BgL_lz00_923; 
goto BgL_loopz00_581;} } } 
BgL_auxz00_913 = BgL_res1722z00_598; } 
BgL_arg1054z00_295 = 
apply(BgL_fz00_845, BgL_auxz00_913); } 
{ /* ./Ieee/control.scm 107 */
obj_t BgL_arg1059z00_297;
{ /* ./Ieee/control.scm 107 */
obj_t BgL_res1723z00_617;
{ 
obj_t BgL_lz00_601;obj_t BgL_resz00_602;
BgL_lz00_601 = BgL_lz00_292; 
BgL_resz00_602 = BNIL; 
BgL_loopz00_600:
if(
NULLP(BgL_lz00_601))
{ /* ./Ieee/control.scm 107 */
BgL_res1723z00_617 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_602); }  else 
{ /* ./Ieee/control.scm 107 */
obj_t BgL_arg1032z00_609;obj_t BgL_arg1033z00_610;
BgL_arg1032z00_609 = 
CDR(BgL_lz00_601); 
{ /* ./Ieee/control.scm 107 */
obj_t BgL_auxz00_930;
{ /* ./Ieee/control.scm 107 */
obj_t BgL_auxz00_931;
BgL_auxz00_931 = 
CAR(BgL_lz00_601); 
BgL_auxz00_930 = 
CDR(BgL_auxz00_931); } 
BgL_arg1033z00_610 = 
MAKE_PAIR(BgL_auxz00_930, BgL_resz00_602); } 
{ 
obj_t BgL_resz00_936;obj_t BgL_lz00_935;
BgL_lz00_935 = BgL_arg1032z00_609; 
BgL_resz00_936 = BgL_arg1033z00_610; 
BgL_resz00_602 = BgL_resz00_936; 
BgL_lz00_601 = BgL_lz00_935; 
goto BgL_loopz00_600;} } } 
BgL_arg1059z00_297 = BgL_res1723z00_617; } 
BgL_arg1055z00_296 = 
BGl_loopz00zz__r4_control_features_6_9z00(BgL_fz00_845, BgL_arg1059z00_297); } 
return 
MAKE_PAIR(BgL_arg1054z00_295, BgL_arg1055z00_296);} } } 
}



/* _map */
obj_t BGl__mapz00zz__r4_control_features_6_9z00(obj_t BgL_envz00_801, obj_t BgL_fz00_802, obj_t BgL_lz00_803)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 96 */
return 
BGl_mapz00zz__r4_control_features_6_9z00(BgL_fz00_802, BgL_lz00_803);} 
}



/* for-each-2 */
BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd22z00zz__r4_control_features_6_9z00(obj_t BgL_fz00_9, obj_t BgL_lz00_10)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 112 */
{ 
obj_t BgL_lz00_624;
BgL_lz00_624 = BgL_lz00_10; 
BgL_loopz00_623:
if(
NULLP(BgL_lz00_624))
{ /* ./Ieee/control.scm 113 */
return BUNSPEC;}  else 
{ /* ./Ieee/control.scm 113 */
{ /* ./Ieee/control.scm 113 */
obj_t BgL_arg1075z00_629;
BgL_arg1075z00_629 = 
CAR(BgL_lz00_624); 
PROCEDURE_ENTRY(BgL_fz00_9)(BgL_fz00_9, BgL_arg1075z00_629, BEOA); } 
{ 
obj_t BgL_lz00_945;
BgL_lz00_945 = 
CDR(BgL_lz00_624); 
BgL_lz00_624 = BgL_lz00_945; 
goto BgL_loopz00_623;} } } } 
}



/* _for-each-2 */
obj_t BGl__forzd2eachzd22z00zz__r4_control_features_6_9z00(obj_t BgL_envz00_804, obj_t BgL_fz00_805, obj_t BgL_lz00_806)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 112 */
return 
BGl_forzd2eachzd22z00zz__r4_control_features_6_9z00(BgL_fz00_805, BgL_lz00_806);} 
}



/* for-each */
BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t BgL_fz00_11, obj_t BgL_lz00_12)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 123 */
if(
NULLP(BgL_lz00_12))
{ /* ./Ieee/control.scm 125 */
return BUNSPEC;}  else 
{ /* ./Ieee/control.scm 127 */
bool_t BgL_testz00_950;
{ /* ./Ieee/control.scm 127 */
obj_t BgL_auxz00_951;
BgL_auxz00_951 = 
CDR(BgL_lz00_12); 
BgL_testz00_950 = 
NULLP(BgL_auxz00_951); } 
if(BgL_testz00_950)
{ /* ./Ieee/control.scm 127 */
{ /* ./Ieee/control.scm 128 */
obj_t BgL_arg1086z00_307;
BgL_arg1086z00_307 = 
CAR(BgL_lz00_12); 
{ 
obj_t BgL_lz00_654;
BgL_lz00_654 = BgL_arg1086z00_307; 
BgL_loopz00_653:
if(
NULLP(BgL_lz00_654))
{ /* ./Ieee/control.scm 128 */
return BUNSPEC;}  else 
{ /* ./Ieee/control.scm 128 */
{ /* ./Ieee/control.scm 128 */
obj_t BgL_arg1075z00_659;
BgL_arg1075z00_659 = 
CAR(BgL_lz00_654); 
PROCEDURE_ENTRY(BgL_fz00_11)(BgL_fz00_11, BgL_arg1075z00_659, BEOA); } 
{ 
obj_t BgL_lz00_960;
BgL_lz00_960 = 
CDR(BgL_lz00_654); 
BgL_lz00_654 = BgL_lz00_960; 
goto BgL_loopz00_653;} } } } }  else 
{ /* ./Ieee/control.scm 127 */
{ 
obj_t BgL_lz00_308;
BgL_lz00_308 = BgL_lz00_12; 
BgL_loopz00_309:
{ /* ./Ieee/control.scm 131 */
bool_t BgL_testz00_962;
{ /* ./Ieee/control.scm 131 */
obj_t BgL_auxz00_963;
BgL_auxz00_963 = 
CAR(BgL_lz00_308); 
BgL_testz00_962 = 
NULLP(BgL_auxz00_963); } 
if(BgL_testz00_962)
{ /* ./Ieee/control.scm 131 */
return BUNSPEC;}  else 
{ /* ./Ieee/control.scm 131 */
{ /* ./Ieee/control.scm 134 */
obj_t BgL_auxz00_966;
{ /* ./Ieee/control.scm 134 */
obj_t BgL_res1724z00_684;
{ 
obj_t BgL_lz00_668;obj_t BgL_resz00_669;
BgL_lz00_668 = BgL_lz00_308; 
BgL_resz00_669 = BNIL; 
BgL_loopz00_667:
if(
NULLP(BgL_lz00_668))
{ /* ./Ieee/control.scm 134 */
BgL_res1724z00_684 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_669); }  else 
{ /* ./Ieee/control.scm 134 */
obj_t BgL_arg1032z00_676;obj_t BgL_arg1033z00_677;
BgL_arg1032z00_676 = 
CDR(BgL_lz00_668); 
{ /* ./Ieee/control.scm 134 */
obj_t BgL_auxz00_971;
{ /* ./Ieee/control.scm 134 */
obj_t BgL_auxz00_972;
BgL_auxz00_972 = 
CAR(BgL_lz00_668); 
BgL_auxz00_971 = 
CAR(BgL_auxz00_972); } 
BgL_arg1033z00_677 = 
MAKE_PAIR(BgL_auxz00_971, BgL_resz00_669); } 
{ 
obj_t BgL_resz00_977;obj_t BgL_lz00_976;
BgL_lz00_976 = BgL_arg1032z00_676; 
BgL_resz00_977 = BgL_arg1033z00_677; 
BgL_resz00_669 = BgL_resz00_977; 
BgL_lz00_668 = BgL_lz00_976; 
goto BgL_loopz00_667;} } } 
BgL_auxz00_966 = BgL_res1724z00_684; } 
apply(BgL_fz00_11, BgL_auxz00_966); } 
{ /* ./Ieee/control.scm 135 */
obj_t BgL_arg1093z00_311;
{ /* ./Ieee/control.scm 135 */
obj_t BgL_res1725z00_703;
{ 
obj_t BgL_lz00_687;obj_t BgL_resz00_688;
BgL_lz00_687 = BgL_lz00_308; 
BgL_resz00_688 = BNIL; 
BgL_loopz00_686:
if(
NULLP(BgL_lz00_687))
{ /* ./Ieee/control.scm 135 */
BgL_res1725z00_703 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_688); }  else 
{ /* ./Ieee/control.scm 135 */
obj_t BgL_arg1032z00_695;obj_t BgL_arg1033z00_696;
BgL_arg1032z00_695 = 
CDR(BgL_lz00_687); 
{ /* ./Ieee/control.scm 135 */
obj_t BgL_auxz00_983;
{ /* ./Ieee/control.scm 135 */
obj_t BgL_auxz00_984;
BgL_auxz00_984 = 
CAR(BgL_lz00_687); 
BgL_auxz00_983 = 
CDR(BgL_auxz00_984); } 
BgL_arg1033z00_696 = 
MAKE_PAIR(BgL_auxz00_983, BgL_resz00_688); } 
{ 
obj_t BgL_resz00_989;obj_t BgL_lz00_988;
BgL_lz00_988 = BgL_arg1032z00_695; 
BgL_resz00_989 = BgL_arg1033z00_696; 
BgL_resz00_688 = BgL_resz00_989; 
BgL_lz00_687 = BgL_lz00_988; 
goto BgL_loopz00_686;} } } 
BgL_arg1093z00_311 = BgL_res1725z00_703; } 
{ 
obj_t BgL_lz00_990;
BgL_lz00_990 = BgL_arg1093z00_311; 
BgL_lz00_308 = BgL_lz00_990; 
goto BgL_loopz00_309;} } } } } } } } 
}



/* _for-each */
obj_t BGl__forzd2eachzd2zz__r4_control_features_6_9z00(obj_t BgL_envz00_807, obj_t BgL_fz00_808, obj_t BgL_lz00_809)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 123 */
return 
BGl_forzd2eachzd2zz__r4_control_features_6_9z00(BgL_fz00_808, BgL_lz00_809);} 
}



/* filter */
BGL_EXPORTED_DEF obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t BgL_predz00_13, obj_t BgL_lisz00_14)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 140 */
return 
BGl_recurz00zz__r4_control_features_6_9z00(BgL_predz00_13, BgL_lisz00_14);} 
}



/* recur */
obj_t BGl_recurz00zz__r4_control_features_6_9z00(obj_t BgL_predz00_844, obj_t BgL_lisz00_314)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 141 */
BGl_recurz00zz__r4_control_features_6_9z00:
if(
NULLP(BgL_lisz00_314))
{ /* ./Ieee/control.scm 142 */
return BgL_lisz00_314;}  else 
{ /* ./Ieee/control.scm 144 */
obj_t BgL_headz00_317;obj_t BgL_tailz00_318;
BgL_headz00_317 = 
CAR(BgL_lisz00_314); 
BgL_tailz00_318 = 
CDR(BgL_lisz00_314); 
{ /* ./Ieee/control.scm 146 */
bool_t BgL_test1107z00_319;
{ /* ./Ieee/control.scm 146 */
obj_t BgL_auxz00_997;
BgL_auxz00_997 = 
PROCEDURE_ENTRY(BgL_predz00_844)(BgL_predz00_844, BgL_headz00_317, BEOA); 
BgL_test1107z00_319 = 
CBOOL(BgL_auxz00_997); } 
if(BgL_test1107z00_319)
{ /* ./Ieee/control.scm 147 */
obj_t BgL_newzd2tailzd2_320;
BgL_newzd2tailzd2_320 = 
BGl_recurz00zz__r4_control_features_6_9z00(BgL_predz00_844, BgL_tailz00_318); 
if(
(BgL_tailz00_318==BgL_newzd2tailzd2_320))
{ /* ./Ieee/control.scm 148 */
return BgL_lisz00_314;}  else 
{ /* ./Ieee/control.scm 148 */
return 
MAKE_PAIR(BgL_headz00_317, BgL_newzd2tailzd2_320);} }  else 
{ 
obj_t BgL_lisz00_1006;
BgL_lisz00_1006 = BgL_tailz00_318; 
BgL_lisz00_314 = BgL_lisz00_1006; 
goto BGl_recurz00zz__r4_control_features_6_9z00;} } } } 
}



/* _filter1732 */
obj_t BGl__filter1732z00zz__r4_control_features_6_9z00(obj_t BgL_envz00_810, obj_t BgL_predz00_811, obj_t BgL_lisz00_812)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 140 */
return 
BGl_recurz00zz__r4_control_features_6_9z00(BgL_predz00_811, BgL_lisz00_812);} 
}



/* filter! */
BGL_EXPORTED_DEF obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t BgL_predz00_15, obj_t BgL_lisz00_16)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 156 */
{ 
obj_t BgL_ansz00_322;
BgL_ansz00_322 = BgL_lisz00_16; 
BgL_lpz00_323:
if(
NULLP(BgL_ansz00_322))
{ /* ./Ieee/control.scm 158 */
return BgL_ansz00_322;}  else 
{ /* ./Ieee/control.scm 160 */
bool_t BgL_test1119z00_325;
{ /* ./Ieee/control.scm 160 */
obj_t BgL_arg1164z00_350;
BgL_arg1164z00_350 = 
CAR(BgL_ansz00_322); 
{ /* ./Ieee/control.scm 160 */
obj_t BgL_auxz00_1011;
BgL_auxz00_1011 = 
PROCEDURE_ENTRY(BgL_predz00_15)(BgL_predz00_15, BgL_arg1164z00_350, BEOA); 
BgL_test1119z00_325 = 
CBOOL(BgL_auxz00_1011); } } 
if(BgL_test1119z00_325)
{ /* ./Ieee/control.scm 160 */
{ 
obj_t BgL_prevz00_337;obj_t BgL_lisz00_338;
{ /* ./Ieee/control.scm 177 */
obj_t BgL_arg1121z00_328;
BgL_arg1121z00_328 = 
CDR(BgL_ansz00_322); 
{ 
obj_t BgL_prevz00_711;obj_t BgL_lisz00_712;
BgL_prevz00_711 = BgL_ansz00_322; 
BgL_lisz00_712 = BgL_arg1121z00_328; 
BgL_scanzd2inzd2_710:
if(
PAIRP(BgL_lisz00_712))
{ /* ./Ieee/control.scm 177 */
bool_t BgL_test1126z00_719;
{ /* ./Ieee/control.scm 177 */
obj_t BgL_arg1136z00_720;
BgL_arg1136z00_720 = 
CAR(BgL_lisz00_712); 
{ /* ./Ieee/control.scm 177 */
obj_t BgL_auxz00_1020;
BgL_auxz00_1020 = 
PROCEDURE_ENTRY(BgL_predz00_15)(BgL_predz00_15, BgL_arg1136z00_720, BEOA); 
BgL_test1126z00_719 = 
CBOOL(BgL_auxz00_1020); } } 
if(BgL_test1126z00_719)
{ 
obj_t BgL_lisz00_1026;obj_t BgL_prevz00_1025;
BgL_prevz00_1025 = BgL_lisz00_712; 
BgL_lisz00_1026 = 
CDR(BgL_lisz00_712); 
BgL_lisz00_712 = BgL_lisz00_1026; 
BgL_prevz00_711 = BgL_prevz00_1025; 
goto BgL_scanzd2inzd2_710;}  else 
{ /* ./Ieee/control.scm 177 */
BgL_prevz00_337 = BgL_prevz00_711; 
BgL_lisz00_338 = 
CDR(BgL_lisz00_712); 
BgL_zc3anonymousza31140ze3z83_339:
{ 
obj_t BgL_lisz00_340;
BgL_lisz00_340 = BgL_lisz00_338; 
BgL_lpz00_341:
if(
PAIRP(BgL_lisz00_340))
{ /* ./Ieee/control.scm 171 */
bool_t BgL_test1143z00_343;
{ /* ./Ieee/control.scm 171 */
obj_t BgL_arg1154z00_346;
BgL_arg1154z00_346 = 
CAR(BgL_lisz00_340); 
{ /* ./Ieee/control.scm 171 */
obj_t BgL_auxz00_1031;
BgL_auxz00_1031 = 
PROCEDURE_ENTRY(BgL_predz00_15)(BgL_predz00_15, BgL_arg1154z00_346, BEOA); 
BgL_test1143z00_343 = 
CBOOL(BgL_auxz00_1031); } } 
if(BgL_test1143z00_343)
{ /* ./Ieee/control.scm 171 */
SET_CDR(BgL_prevz00_337, BgL_lisz00_340); 
{ /* ./Ieee/control.scm 174 */
obj_t BgL_arg1146z00_344;
BgL_arg1146z00_344 = 
CDR(BgL_lisz00_340); 
{ 
obj_t BgL_prevz00_753;obj_t BgL_lisz00_754;
BgL_prevz00_753 = BgL_lisz00_340; 
BgL_lisz00_754 = BgL_arg1146z00_344; 
BgL_scanzd2inzd2_752:
if(
PAIRP(BgL_lisz00_754))
{ /* ./Ieee/control.scm 174 */
bool_t BgL_test1126z00_761;
{ /* ./Ieee/control.scm 174 */
obj_t BgL_arg1136z00_762;
BgL_arg1136z00_762 = 
CAR(BgL_lisz00_754); 
{ /* ./Ieee/control.scm 174 */
obj_t BgL_auxz00_1041;
BgL_auxz00_1041 = 
PROCEDURE_ENTRY(BgL_predz00_15)(BgL_predz00_15, BgL_arg1136z00_762, BEOA); 
BgL_test1126z00_761 = 
CBOOL(BgL_auxz00_1041); } } 
if(BgL_test1126z00_761)
{ 
obj_t BgL_lisz00_1047;obj_t BgL_prevz00_1046;
BgL_prevz00_1046 = BgL_lisz00_754; 
BgL_lisz00_1047 = 
CDR(BgL_lisz00_754); 
BgL_lisz00_754 = BgL_lisz00_1047; 
BgL_prevz00_753 = BgL_prevz00_1046; 
goto BgL_scanzd2inzd2_752;}  else 
{ 
obj_t BgL_lisz00_1050;obj_t BgL_prevz00_1049;
BgL_prevz00_1049 = BgL_prevz00_753; 
BgL_lisz00_1050 = 
CDR(BgL_lisz00_754); 
BgL_lisz00_338 = BgL_lisz00_1050; 
BgL_prevz00_337 = BgL_prevz00_1049; 
goto BgL_zc3anonymousza31140ze3z83_339;} }  else 
{ /* ./Ieee/control.scm 174 */BFALSE; } } } }  else 
{ 
obj_t BgL_lisz00_1052;
BgL_lisz00_1052 = 
CDR(BgL_lisz00_340); 
BgL_lisz00_340 = BgL_lisz00_1052; 
goto BgL_lpz00_341;} }  else 
{ /* ./Ieee/control.scm 170 */
SET_CDR(BgL_prevz00_337, BgL_lisz00_340); } } } }  else 
{ /* ./Ieee/control.scm 177 */BFALSE; } } } 
return BgL_ansz00_322;} }  else 
{ /* ./Ieee/control.scm 160 */
{ 
obj_t BgL_ansz00_1056;
BgL_ansz00_1056 = 
CDR(BgL_ansz00_322); 
BgL_ansz00_322 = BgL_ansz00_1056; 
goto BgL_lpz00_323;} } } } } 
}



/* _filter!1734 */
obj_t BGl__filterz121734z12zz__r4_control_features_6_9z00(obj_t BgL_envz00_813, obj_t BgL_predz00_814, obj_t BgL_lisz00_815)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 156 */
return 
BGl_filterz12z12zz__r4_control_features_6_9z00(BgL_predz00_814, BgL_lisz00_815);} 
}



/* force */
BGL_EXPORTED_DEF obj_t BGl_forcez00zz__r4_control_features_6_9z00(obj_t BgL_promisez00_17)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 183 */
return 
PROCEDURE_ENTRY(BgL_promisez00_17)(BgL_promisez00_17, BEOA);} 
}



/* _force */
obj_t BGl__forcez00zz__r4_control_features_6_9z00(obj_t BgL_envz00_816, obj_t BgL_promisez00_817)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 183 */
return 
PROCEDURE_ENTRY(BgL_promisez00_817)(BgL_promisez00_817, BEOA);} 
}



/* make-promise */
BGL_EXPORTED_DEF obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t BgL_procz00_18)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 189 */
{ /* ./Ieee/control.scm 190 */
obj_t BgL_resultzd2readyzf3z21_351;obj_t BgL_resultz00_352;
BgL_resultzd2readyzf3z21_351 = 
MAKE_CELL(BFALSE); 
BgL_resultz00_352 = 
MAKE_CELL(BFALSE); 
{ /* ./Ieee/control.scm 192 */
obj_t BgL_zc3anonymousza31169ze3z83_818;
{ 
int BgL_auxz00_1065;int BgL_auxz00_1063;
BgL_auxz00_1065 = 
(int)(((long)3)); 
BgL_auxz00_1063 = 
(int)(((long)0)); 
BgL_zc3anonymousza31169ze3z83_818 = 
make_fx_procedure(BGl_zc3anonymousza31169ze3z83zz__r4_control_features_6_9z00, BgL_auxz00_1063, BgL_auxz00_1065); } 
{ /* ./Ieee/control.scm 192 */
int BgL_auxz00_1068;
BgL_auxz00_1068 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31169ze3z83_818, BgL_auxz00_1068, BgL_procz00_18); } 
{ /* ./Ieee/control.scm 192 */
int BgL_auxz00_1071;
BgL_auxz00_1071 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31169ze3z83_818, BgL_auxz00_1071, BgL_resultzd2readyzf3z21_351); } 
{ /* ./Ieee/control.scm 192 */
int BgL_auxz00_1074;
BgL_auxz00_1074 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31169ze3z83_818, BgL_auxz00_1074, BgL_resultz00_352); } 
return BgL_zc3anonymousza31169ze3z83_818;} } } 
}



/* _make-promise */
obj_t BGl__makezd2promisezd2zz__r4_control_features_6_9z00(obj_t BgL_envz00_819, obj_t BgL_procz00_820)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 189 */
return 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_procz00_820);} 
}



/* <anonymous:1169> */
obj_t BGl_zc3anonymousza31169ze3z83zz__r4_control_features_6_9z00(obj_t BgL_envz00_821)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 192 */
{ /* ./Ieee/control.scm 193 */
obj_t BgL_procz00_822;obj_t BgL_resultzd2readyzf3z21_823;obj_t BgL_resultz00_824;
{ /* ./Ieee/control.scm 193 */
int BgL_auxz00_1078;
BgL_auxz00_1078 = 
(int)(((long)0)); 
BgL_procz00_822 = 
PROCEDURE_REF(BgL_envz00_821, BgL_auxz00_1078); } 
{ /* ./Ieee/control.scm 193 */
int BgL_auxz00_1081;
BgL_auxz00_1081 = 
(int)(((long)1)); 
BgL_resultzd2readyzf3z21_823 = 
PROCEDURE_REF(BgL_envz00_821, BgL_auxz00_1081); } 
{ /* ./Ieee/control.scm 193 */
int BgL_auxz00_1084;
BgL_auxz00_1084 = 
(int)(((long)2)); 
BgL_resultz00_824 = 
PROCEDURE_REF(BgL_envz00_821, BgL_auxz00_1084); } 
{ 

{ /* ./Ieee/control.scm 193 */
bool_t BgL_testz00_1087;
{ /* ./Ieee/control.scm 193 */
obj_t BgL_auxz00_1088;
BgL_auxz00_1088 = 
CELL_REF(BgL_resultzd2readyzf3z21_823); 
BgL_testz00_1087 = 
CBOOL(BgL_auxz00_1088); } 
if(BgL_testz00_1087)
{ /* ./Ieee/control.scm 193 */
return 
CELL_REF(BgL_resultz00_824);}  else 
{ /* ./Ieee/control.scm 195 */
obj_t BgL_xz00_354;
BgL_xz00_354 = 
PROCEDURE_ENTRY(BgL_procz00_822)(BgL_procz00_822, BEOA); 
{ /* ./Ieee/control.scm 196 */
bool_t BgL_testz00_1092;
{ /* ./Ieee/control.scm 196 */
obj_t BgL_auxz00_1093;
BgL_auxz00_1093 = 
CELL_REF(BgL_resultzd2readyzf3z21_823); 
BgL_testz00_1092 = 
CBOOL(BgL_auxz00_1093); } 
if(BgL_testz00_1092)
{ /* ./Ieee/control.scm 196 */
return 
CELL_REF(BgL_resultz00_824);}  else 
{ /* ./Ieee/control.scm 196 */
CELL_SET(BgL_resultzd2readyzf3z21_823, BTRUE); 
CELL_SET(BgL_resultz00_824, BgL_xz00_354); 
return 
CELL_REF(BgL_resultz00_824);} } } } } } } 
}



/* call/cc */
BGL_EXPORTED_DEF obj_t BGl_callzf2cczf2zz__r4_control_features_6_9z00(obj_t BgL_procz00_19)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 206 */
{ /* ./Ieee/control.scm 209 */
obj_t BgL_zc3anonymousza31174ze3z83_828;
{ 
int BgL_auxz00_1097;int BgL_auxz00_1095;
BgL_auxz00_1097 = 
(int)(((long)1)); 
BgL_auxz00_1095 = 
(int)(((long)1)); 
BgL_zc3anonymousza31174ze3z83_828 = 
make_fx_procedure(BGl_zc3anonymousza31174ze3z83zz__r4_control_features_6_9z00, BgL_auxz00_1095, BgL_auxz00_1097); } 
{ /* ./Ieee/control.scm 209 */
int BgL_auxz00_1100;
BgL_auxz00_1100 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31174ze3z83_828, BgL_auxz00_1100, BgL_procz00_19); } 
return 
call_cc(BgL_zc3anonymousza31174ze3z83_828);} } 
}



/* _call/cc */
obj_t BGl__callzf2cczf2zz__r4_control_features_6_9z00(obj_t BgL_envz00_829, obj_t BgL_procz00_830)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 206 */
return 
BGl_callzf2cczf2zz__r4_control_features_6_9z00(BgL_procz00_830);} 
}



/* <anonymous:1174> */
obj_t BGl_zc3anonymousza31174ze3z83zz__r4_control_features_6_9z00(obj_t BgL_envz00_831, obj_t BgL_contz00_833)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 207 */
{ /* ./Ieee/control.scm 209 */
obj_t BgL_procz00_832;
{ /* ./Ieee/control.scm 209 */
int BgL_auxz00_1105;
BgL_auxz00_1105 = 
(int)(((long)0)); 
BgL_procz00_832 = 
PROCEDURE_REF(BgL_envz00_831, BgL_auxz00_1105); } 
{ 
obj_t BgL_contz00_356;
BgL_contz00_356 = BgL_contz00_833; 
{ /* ./Ieee/control.scm 209 */
obj_t BgL_zc3anonymousza31179ze3z83_827;
{ 
int BgL_auxz00_1110;int BgL_auxz00_1108;
BgL_auxz00_1110 = 
(int)(((long)1)); 
BgL_auxz00_1108 = 
(int)(((long)-1)); 
BgL_zc3anonymousza31179ze3z83_827 = 
make_va_procedure(BGl_zc3anonymousza31179ze3z83zz__r4_control_features_6_9z00, BgL_auxz00_1108, BgL_auxz00_1110); } 
{ /* ./Ieee/control.scm 209 */
int BgL_auxz00_1113;
BgL_auxz00_1113 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_827, BgL_auxz00_1113, BgL_contz00_356); } 
return 
PROCEDURE_ENTRY(BgL_procz00_832)(BgL_procz00_832, BgL_zc3anonymousza31179ze3z83_827, BEOA);} } } } 
}



/* <anonymous:1179> */
obj_t BGl_zc3anonymousza31179ze3z83zz__r4_control_features_6_9z00(obj_t BgL_envz00_834, obj_t BgL_valsz00_836)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 208 */
{ /* ./Ieee/control.scm 209 */
obj_t BgL_contz00_835;
{ /* ./Ieee/control.scm 209 */
int BgL_auxz00_1118;
BgL_auxz00_1118 = 
(int)(((long)0)); 
BgL_contz00_835 = 
PROCEDURE_REF(BgL_envz00_834, BgL_auxz00_1118); } 
{ 
obj_t BgL_valsz00_359;
BgL_valsz00_359 = BgL_valsz00_836; 
{ /* ./Ieee/control.scm 209 */
bool_t BgL_test1180z00_361;
if(
PAIRP(BgL_valsz00_359))
{ /* ./Ieee/control.scm 209 */
obj_t BgL_auxz00_1123;
BgL_auxz00_1123 = 
CDR(BgL_valsz00_359); 
BgL_test1180z00_361 = 
NULLP(BgL_auxz00_1123); }  else 
{ /* ./Ieee/control.scm 209 */
BgL_test1180z00_361 = ((bool_t)0); } 
if(BgL_test1180z00_361)
{ /* ./Ieee/control.scm 210 */
obj_t BgL_arg1182z00_362;
BgL_arg1182z00_362 = 
CAR(BgL_valsz00_359); 
return 
PROCEDURE_ENTRY(BgL_contz00_835)(BgL_contz00_835, BgL_arg1182z00_362, BEOA);}  else 
{ /* ./Ieee/control.scm 209 */
{ /* ./Ieee/control.scm 212 */
int BgL_auxz00_1130;
BgL_auxz00_1130 = 
(int)(((long)-1)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1130); } 
return 
PROCEDURE_ENTRY(BgL_contz00_835)(BgL_contz00_835, BgL_valsz00_359, BEOA);} } } } } 
}



/* call-with-current-continuation */
BGL_EXPORTED_DEF obj_t BGl_callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00(obj_t BgL_procz00_20)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 218 */
return 
BGl_callzf2cczf2zz__r4_control_features_6_9z00(BgL_procz00_20);} 
}



/* _call-with-current-continuation */
obj_t BGl__callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00(obj_t BgL_envz00_837, obj_t BgL_procz00_838)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 218 */
return 
BGl_callzf2cczf2zz__r4_control_features_6_9z00(BgL_procz00_838);} 
}



/* dynamic-wind */
BGL_EXPORTED_DEF obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t BgL_beforez00_21, obj_t BgL_thunkz00_22, obj_t BgL_afterz00_23)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 224 */
PROCEDURE_ENTRY(BgL_beforez00_21)(BgL_beforez00_21, BEOA); 
{ /* ./Ieee/control.scm 226 */

PUSH_BEFORE(BgL_beforez00_21); 
{ /* ./Ieee/control.scm 226 */
obj_t BgL_val1003z00_778;
BgL_val1003z00_778 = 
BGl_zc3exitza31206ze3z83zz__r4_control_features_6_9z00(BgL_thunkz00_22); 
PROCEDURE_ENTRY(BgL_afterz00_23)(BgL_afterz00_23, BEOA); 
POP_BEFORE(); 
{ /* ./Ieee/control.scm 226 */
bool_t BgL_testz00_1144;
{ /* ./Ieee/control.scm 226 */
obj_t BgL_auxz00_1145;
BgL_auxz00_1145 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val1003z00_778); 
BgL_testz00_1144 = 
CBOOL(BgL_auxz00_1145); } 
if(BgL_testz00_1144)
{ /* ./Ieee/control.scm 226 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
CAR(BgL_val1003z00_778), 
CDR(BgL_val1003z00_778));}  else 
{ /* ./Ieee/control.scm 226 */
return BgL_val1003z00_778;} } } } } 
}



/* <exit:1206> */
obj_t BGl_zc3exitza31206ze3z83zz__r4_control_features_6_9z00(obj_t BgL_thunkz00_843)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 231 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1004z00_780;
if( SET_EXIT(BgL_an_exit1004z00_780) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1004z00_780 = 
(obj_t)jmpbuf; 
{ /* ./Ieee/control.scm 226 */

PUSH_EXIT(BgL_an_exit1004z00_780, ((bool_t)0)); 
{ /* ./Ieee/control.scm 226 */
obj_t BgL_val1005z00_781;
BgL_val1005z00_781 = 
PROCEDURE_ENTRY(BgL_thunkz00_843)(BgL_thunkz00_843, BEOA); 
POP_EXIT(); 
return BgL_val1005z00_781;} } 
} } 
}



/* _dynamic-wind */
obj_t BGl__dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t BgL_envz00_839, obj_t BgL_beforez00_840, obj_t BgL_thunkz00_841, obj_t BgL_afterz00_842)
{ AN_OBJECT;
{ /* ./Ieee/control.scm 224 */
return 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_beforez00_840, BgL_thunkz00_841, BgL_afterz00_842);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_control_features_6_9z00()
{ AN_OBJECT;
{ /* ./Ieee/control.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_control_features_6_9");} 
}

